## org.jfree.ui
Class StandardGradientPaintTransformer

    java.lang.Object
      org.jfree.ui.StandardGradientPaintTransformer

All Implemented Interfaces:
  java.lang.Cloneable, GradientPaintTransformer, PublicCloneable, java.io.Serializable

public class StandardGradientPaintTransformer
extends java.lang.Object
implements GradientPaintTransformer, java.lang.Cloneable, PublicCloneable, java.io.Serializable

Transforms a `GradientPaint` to range over the width of a target shape.

Author:
  David Gilbert
See Also:
  Serialized Form

Constructor Summary
`StandardGradientPaintTransformer()` Creates a new transformer.
`StandardGradientPaintTransformer(GradientPaintTransformType type)` Creates a new transformer.

Method Summary
`java.lang.Object` `clone()` Returns a clone of the transformer.
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`int` `hashCode()` Returns a hash code for this object.
`java.awt.GradientPaint` `transform(java.awt.GradientPaint paint, java.awt.Shape target)` Transforms a `GradientPaint` instance.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardGradientPaintTransformer

    public StandardGradientPaintTransformer()

  Creates a new transformer.

### StandardGradientPaintTransformer

    public StandardGradientPaintTransformer(GradientPaintTransformType type)

  Creates a new transformer.

Parameters:
  `type` - the transform type.

Method Detail

### transform

    public java.awt.GradientPaint transform(java.awt.GradientPaint paint,
                                            java.awt.Shape target)

  Transforms a `GradientPaint` instance.

  Specified by:
    `transform` in interface `GradientPaintTransformer`
  Parameters:
    `paint` - the original paint.
    `target` - the target shape.
  Returns:
    The transformed paint.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Parameters:
    `obj` - the object to test against (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the transformer.

  Specified by:
    `clone` in interface `PublicCloneable`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - not thrown by this class, but subclasses (if any) might.

### hashCode

    public int hashCode()

  Returns a hash code for this object.

  Returns:
    A hash code.